python-magic_5.32-1_all.deb


Advertisement

Description

python-magic - Recognize the type of data in a file using "magic" numbers - Python bindings

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-magic
Package version 5.32
Package release 1
Package architecture all
Package type deb
Installed size 58 B
Download size 5.80 KB
Official Mirror archive.ubuntu.com
This package contains the Python bindings for the libmagic file type
detection library.

Alternatives

Package Version Architecture Repository
python-magic_5.32-1ubuntu0.1_all.deb 5.32 all Ubuntu Updates Universe
python-magic_5.32-1ubuntu0.1_all.deb 5.32 all Ubuntu Updates Universe
python-magic_5.32-1_all.deb 5.32 all Ubuntu Universe
python-magic - - -

Requires

Name Value
libmagic1 >= 1:5.32-1
libmagic1 << 1:5.32-1.1~
python:any << 2.8
python:any >= 2.7.5-5~

Provides

Name Value
python2.7-magic -

Download

Type URL
Binary Package python-magic_5.32-1_all.deb
Source Package file

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-magic deb package:
    # sudo apt-get install python-magic

Files

Path
/usr/lib/python2.7/dist-packages/magic.py
/usr/lib/python2.7/dist-packages/file_magic-0.3.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/file_magic-0.3.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/file_magic-0.3.0.egg-info/top_level.txt
/usr/share/doc/python-magic/changelog.Debian.gz
/usr/share/doc/python-magic/copyright
/usr/share/doc/python-magic/examples/example.py

Changelog

2017-09-04 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.32-1) unstable; urgency=high
* New upstream version 5.32
2017-08-06 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.31-1) unstable; urgency=medium
* New upstream version 5.31
2017-04-29 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.30-1) unstable; urgency=high
* New upstream version 5.30
* Cherry-pick commits that fix issues found by oss-fuzz
* Revert new features introduced since 1:5.29-3
2017-01-26 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.29-3) unstable; urgency=medium
* Restore full local.support-local-definitions-in-etc-magic patch.
Closes: #852476
* Include all upstream commits since the 5.29 release
* Improve detection of Flash data. Closes: #838860
2016-12-13 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.29-2) unstable; urgency=medium
* Include all upstream commits since the 5.29 release. Addresses:
- Detect compiled YARA rules. Closes: #833872
- Detect old Word for Mac documents. Closes: #842117
* Disable detection of Algol68 files, way too many false positives
2016-10-25 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.29-1) unstable; urgency=medium
* New upstream version 5.29. Addresses (in order of appearance):
- "no read permission" if read from empty pipe. Closes: #508963
- Mistakes hungarian text as dos executables. Closes: #641012
- Does not recognize some GPG key public rings. Closes: #729286
- Show more information for MySQL files. Closes: #751826
- Linux kernel version string truncated. Closes: #756949
- Document file's '-d' option. Closes: #764462
- Detect JPEG-XR. Closes: #771303
- Detect Material exchange container format (mxf). Closes: #782744
- Strengthen detection of Embedded OpenType (EOT). Closes: #784572
- Mistakes some text as bitmap. Closes: #799352
- Dectect swp files from nano, vim, and kate. Closes: #803219
- Mistakes some SVG files as HTML. Closes: #829199
* Fix FTCBFS: Remove stage1 profile in favour of a proper arch/indep
split. Thanks Helmut Grohne. Closes: #841030
2016-07-21 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.28-4) unstable; urgency=low
* Ship the compiled magic file in a separate package so libmagic1 is
finally multi-arch compliant. Thanks Jakub Wilk for the final
impetus and suggestions. Closes: #670006 (take two)
* Declare compliance with Debian policy 3.9.8
2016-07-17 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.28-3) unstable; urgency=low
* Packaging cleanup, no code changes
- No longer ship file-dbg, use -dbgsym instead
- Remove cruft: lintian override, obsolete substvars, explicit
usage of xz
- Re-word package descriptions
2016-06-30 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.28-2) unstable; urgency=high
* Enable full hardening build
* Cherry-pick commits since 5.28 release:
- Avoid "can't break line" warnings from lintian
- Don't copy NULL
- Avoid double encoding with python3. Closes: #828833
2016-06-27 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.28-1) unstable; urgency=medium
* New upstream version 5.28

See Also

Package Description
python-magics++_2.34.1-2_i386.deb python support for Magics++
python-magnum_5.0.1-0ubuntu1_all.deb OpenStack containers as a service - Python library
python-mailer_0.8.1-2_all.deb Python module that simplifies sending email (Python 2)
python-mailutils_3.1.1-1_i386.deb GNU Mail abstraction library (Python interface)
python-mandrill_1.0.57-1_all.deb CLI client and Python API library for Mandrill
python-manila-ui_2.10.1-0ubuntu1_all.deb OpenStack shared file system as a service - Dashboard plugin
python-manila_5.0.0-0ubuntu1_all.deb Manila Python libraries
python-manuel_1.8.0-5_all.deb Python library for testable documents and documented tests
python-map-msgs_1.13.0-5_all.deb Python code for map-related ROS Messages
python-mapbox-vector-tile_0.5.0+ds-4_all.deb Mapbox Vector Tile library for Python 2
python-mapi_8.1.0-3ubuntu5_i386.deb Complete and feature rich groupware solution - Python MAPI bindings
python-mapnik_0.0~20170120-8139e5c-1~exp1build1_i386.deb Python 2 interface to the mapnik library
python-mapproxy_1.10.4-1_all.deb open source proxy for geospatial data - Python 2 module
python-mapscript_7.0.6-2build1_i386.deb Python library for MapServer
python-marathon-doc_0.8.10-0ubuntu1_all.deb Library interface to Mesos marathon Rest API (common docuemtation)
Advertisement
Advertisement